## vtk9 9.5.2+dfsg3

=== debian/changelog ===
vtk9 (9.5.2+dfsg3-8ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with openjdk-17 to avoid a JVM crash on s390x.
    - libvtk9-dev: Also depend on openjdk-17 on s390x.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 22 Feb 2026 19:53:02 +0100

vtk9 (9.5.2+dfsg3-8) unstable; urgency=medium

  * Team upload.
  * sh4: override dh_dwz to not process libvtkCommonCore
    which fails with "Cannot allocate memory"

 -- Drew Parsons <dparsons@debian.org>  Sat, 21 Feb 2026 11:59:19 +0100

vtk9 (9.5.2+dfsg3-7) unstable; urgency=medium

  * Team upload.
  * add hurd-amd64 to list of architectures supporting adios2
    in Build-Depends: libadios2-mpi-c++-dev
    (adios2 now builds on all 64-bit architectures)
  * update debian/watch to v5 format. Use GitLab template rather than
    GitHub since upstream development happens at
    https://gitlab.kitware.com/vtk/vtk
    https://github.com/Kitware/VTK is just a mirror of the gitlab repo.

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Feb 2026 19:34:42 +0100

vtk9 (9.5.2+dfsg3-6) unstable; urgency=medium

  * Team upload.
  * debian patch matplotlib_nullptr_s390x.patch handles case of null
    ScalarPointer in image in vtkMatplotlibMathTextUtilities::RenderOneCell
    A null pointer was generated on s390x causing pyvista
    test_add_text_latex to segfault. Closes: #1126861
  * add alpha to list of ADIOS2-supporting arches in
    Build-Depends: libadios2-mpi-c++-dev

 -- Drew Parsons <dparsons@debian.org>  Thu, 05 Feb 2026 20:55:34 +0100

vtk9 (9.5.2+dfsg3-5) unstable; urgency=medium

  * Team upload.
  * debian patch findEXPAT_version_fix_MR12826.patch applies upstream
    MR#12826 to fix expat version handling. Closes: #1050506
  * 9.5.2+dfsg3-3 disabled viskores on 32-bit arches, since
    ParaView::RemotingViews optionally uses VTK::vtkviskores
    but (ThirdParty) viskores exhausts virtual memory on 32-bit arches
  * disable viskores on alpha, which is 64-bit but also exceeds
    available memory

 -- Drew Parsons <dparsons@debian.org>  Thu, 05 Feb 2026 11:39:23 +0100

vtk9 (9.5.2+dfsg3-4) unstable; urgency=medium

  * Team upload.
  * debian/rules: use UPSTREAM_VERSION_ABI (currently 9.5) to refer to
    version specific library (i.e. libvtk9.5) to fix handling of Qt modules

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Jan 2026 12:53:25 +0100

vtk9 (9.5.2+dfsg3-3) unstable; urgency=medium

  * Team upload.
  * build docs in arch-indepedent build only
  * remove version-specific references from debian/rules

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Jan 2026 10:04:53 +0100

vtk9 (9.5.2+dfsg3-2) unstable; urgency=medium

  * Team upload.
  * extra VTK modules support paraview. Closes: #1100766
  * don't configure xdmf3 (i.e. IOParallelXdmf3) on 32-bit arches,
    where vtk's copy of xdmf3 fails to build. See Bug#1126484
    (upstream paraview Issue #22630)
  * enable RenderingFreeTypeFontConfig. Closes: #1101916
  * build docs in arch-independent build only. Closes: #1125140
    Move doc generating packages doxygen-latex, ghostscript,
    gnuplot-nox, graphviz to Build-Depends-Indep <!nodoc>.
  * escape sequences in vtkMethodParser.py are fixed. Closes: #1079541
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Jan 2026 04:41:09 +0100

vtk9 (9.5.2+dfsg3-1) unstable; urgency=medium

  * Team upload.
  * enable modules required by paraview 6
    (use IOParallelXdmf3 for IOXdmf3)
    - enable VTK::xmdf3 (ThirdParty/xdmf3). Drop from Files-Excluded in
      debian/copyright. Bump repacked version to dfsg3 to add xdmf3
  * add support for IOADIOS2 (used by paraview). 64-bit arches only.
    Build-Depends: libadios2-mpi-c++-dev [amd64 arm64 mips64el ppc64el
    riscv64 s390x loong64 ppc64 sparc64]
  * set HDF5_PREFER_PARALLEL=YES (with HDF5_IS_PARALLEL=ON) to
    activate parallel HDF5 (via libhdf5-mpi-dev)
  * Build-Depends: libxcursor-dev (enables custom cursors)

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 Jan 2026 00:24:26 +0100
