## vtk9 9.5.2+dfsg4

=== debian/changelog ===
vtk9 (9.5.2+dfsg4-1) unstable; urgency=medium

  * Team upload.
  * Add back WebCore, WebGLExporter and WebPython modules for future use
    within trame and pyvista.
    - This required a repack 9.5.2+dfsg4, because the Web directory was
      previously ignored in d/copyright.

 -- Francesco Ballarin <ballarin@debian.org>  Tue, 03 Mar 2026 18:23:44 +0000
