=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,6 @@
 nojava_os=hurd
 ifeq (,$(filter $(DEB_BUILD_ARCH), $(nojava_archs))$(filter $(DEB_BUILD_ARCH_OS), $(nojava_os)))
   export JAVA_HOME=/usr/lib/jvm/default-java
-  ifeq ($(DEB_HOST_ARCH),s390x)
-    export JAVA_HOME=/usr/lib/jvm/java-17-openjdk-$(DEB_HOST_ARCH)
-  endif
   extra_flags += -DVTK_WRAP_JAVA=ON
   # increase java version from 8 to 11 to remove many warnings
   extra_flags += -DVTK_JAVA_RELEASE_VERSION:STRING=11
@@ -112,6 +109,12 @@
 	-DVTK_MODULE_ENABLE_VTK_RenderingParallel=WANT \
 	-DVTK_MODULE_ENABLE_VTK_RenderingVolumeAMR=WANT
 
+# modules required by trame
+extra_flags +=  \
+	-DVTK_MODULE_ENABLE_VTK_WebCore:STRING=YES \
+	-DVTK_MODULE_ENABLE_VTK_WebGLExporter:STRING=YES \
+	-DVTK_MODULE_ENABLE_VTK_WebPython:STRING=YES \
+
 # 32-bit architectures don't support all features
 ifeq ($(DEB_HOST_ARCH_BITS),32)
   # ParaView::RemotingViews optionally uses VTK::vtkviskores
